LoadPackage("atlasrep");

groupname := "Fi24'";

LogTo("fusions.log");
Print("Fusion of conjugacy classes from maximal subgroups into ", groupname, "\n");
Print("==\n");

ct := CharacterTable(groupname);

Print("Maximal subgroups: \n");
for i in [1..Size(Maxes(ct))] do
  Print(i, ", ", Maxes(ct)[i], "\n");
od;

Print("==\n");

for i in [1..Size(Maxes(ct))] do
  Print("Maximal subgroup ", i, ": ", Maxes(ct)[i],"\n");
  ctmx := CharacterTable(Maxes(ct)[i]);
  fus := FusionConjugacyClasses(ctmx, ct);
  for t in [1..Size(fus)] do
    Print(ClassNames(ctmx)[t], " --> ", ClassNames(ct)[fus[t]], "\n");
  od;
  Print("==\n");
od;
